#include <windows.h>
#include <stdio.h>
#include <GL\glut.h>
#include <GL\glaux.h>
#include <GL\glu.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>

typedef struct GL3DVector
{
	float x;
	float y;
	float z;
	GL3DVector() {}
	GL3DVector(float _x, float _y, float _z)
	{
		x = _x;
		y = _y;
		z = _z;
	}
	
}GL3DVector;

class Planet
{
	float			 m_fRadius;
	float			 m_fSpeed;
	float			 m_fP;
	bool			 m_Life;
	GLuint			 m_nTextureNum;
	GL3DVector		 m_vPosition;

public:
	Planet( );
	~Planet( );
	
	void SetRadius( float fRadius ) { m_fRadius = fRadius; }
	float GetRadius( ) { return m_fRadius; }
	void SetPosition( GL3DVector vPositon ) { m_vPosition = vPositon; }
	GL3DVector GetPosition( ) { return m_vPosition; }
	void SetSpeed( float fSpeed ) { m_fSpeed = fSpeed; }
	float GetSpeed( ) { return m_fSpeed; }
	bool SetTexture( char* chTextureName );
	bool GetLife( ) { return m_Life; }
	void SetLife( bool Life ) { m_Life = Life; }


	void Update( );
	void Render( );
};
